Retrieve a yearly recap
GET
/v1/yearlyrecap/{id}/
const url = 'https://example.com/v1/yearlyrecap/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/v1/yearlyrecap/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/ \ --header 'Authorization: Bearer <token>'Return a single yearly recap data point by its ID.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
A UUID string identifying this yearly recap data point.
Responses
Section titled “Responses”Media typeapplication/json
A ModelSerializer that takes an additional fields argument that
controls which fields should be displayed.
object
id
required
string format: uuid
period_start
required
Start date is included
string format: date-time
period_end
required
End date is excluded
string format: date-time
number_of_incidents
integer
most_recurring_alerts
most_affected_services
most_affected_monitors
day_with_most_alerts
month_with_most_alerts
notifications_per_integration
number_of_agents_created
monitor_uptimes
favourite_os
server_locations
month_incidents
Examplegenerated
{ "period_start": "2026-04-15T12:00:00Z", "period_end": "2026-04-15T12:00:00Z", "number_of_incidents": 1, "most_recurring_alerts": "example", "most_affected_services": "example", "most_affected_monitors": "example", "day_with_most_alerts": "example", "month_with_most_alerts": "example", "notifications_per_integration": "example", "number_of_agents_created": "example", "monitor_uptimes": "example", "favourite_os": "example", "server_locations": "example", "month_incidents": "example"}